package com.tzy.framework.pay.service;

import com.tzy.framework.pay.dto.PaymentInfoResponseDto;
import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.RefundRequestDto;
import com.tzy.framework.pay.dto.ResultMap;

public interface Qme1PayService {

    public ResultMap tradeCreate(PaymentRequestDto paymentRequestDto);

    public PaymentInfoResponseDto queryOrder(PaymentRequestDto paymentRequestDto);

    public ResultMap refund(RefundRequestDto refundRequestDto);

    public ResultMap refundQuery(RefundRequestDto refundRequestDto);


}
